use std::env;
use std::fs::File;
use std::io::{BufReader, Read};

fn main() {
    let args: Vec<String> = env::args().collect();
    if args.len() < 2 {
        eprintln!("ファイル名を指定してください。");
        return;
    }
    let filename = &args[1];
    if let Ok(file) = File::open(filename) {
        let mut br = BufReader::new(file);
        let mut s = String::new();
        br.read_to_string(&mut s);
    } else {
        eprintln!("ファイルが開けません。");
    }
}